## Class Auth_OpenID_SuccessResponse

Description

A response with a status of Auth_OpenID_SUCCESS. Indicates that

this request is a successful acknowledgement from the OpenID server that the supplied URL is, indeed controlled by the requesting agent. This has three relevant attributes:

claimed_id - The identity URL that has been authenticated

signed_args - The arguments in the server's response that were signed and verified.

status - Auth_OpenID_SUCCESS.

Located in /Auth/OpenID/Consumer.php (line 2024)

    Auth_OpenID_ConsumerResponse
       |
       --Auth_OpenID_SuccessResponse

Variable Summary
mixed $status
Method Summary
void extensionResponse ( $namespace_uri, $require_signed, string $prefix)
string getReturnTo ()
void getSigned ( $ns_uri, $ns_key, [ $default = null])
void getSignedNS ( $ns_uri)
void isOpenID1 ()
void isSigned ( $ns_uri, $ns_key)
Variables
mixed $status = Auth_OpenID_SUCCESS (line 2025)

Redefinition of:

Auth_OpenID_ConsumerResponse::$status

Methods
extensionResponse (line 2048)

Extract signed extension data from the server's response.

void extensionResponse ( $namespace_uri, $require_signed, string $prefix)

- string $prefix: The extension namespace from which to extract the extension data.
- $namespace_uri
- $require_signed

getReturnTo (line 2109)

Get the openid.return_to argument from this response.

This is useful for verifying that this request was initiated by this consumer.

- return: The return_to URL supplied to the server on the initial request, or null if the response did not contain an 'openid.return_to' argument.

string getReturnTo ()
getSigned (line 2070)
void getSigned ( $ns_uri, $ns_key, [ $default = null])

- $ns_uri
- $ns_key
- $default

getSignedNS (line 2081)
void getSignedNS ( $ns_uri)

- $ns_uri

isOpenID1 (line 2057)
void isOpenID1 ()
isSigned (line 2062)
void isSigned ( $ns_uri, $ns_key)

- $ns_uri
- $ns_key

#### Inherited Methods

Inherited From Auth_OpenID_ConsumerResponse

> Auth_OpenID_ConsumerResponse::getDisplayIdentifier()
> Auth_OpenID_ConsumerResponse::setEndpoint()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2